getting Error while running python script

Mayra65

New Member
Joined
Apr 1, 2021
Messages
9
Reaction score
0
Credits
87
I am following this tutorial.
while running the following '''perf script --gen-script python''' command I am getting an error.
'''
Python scripting not supported. Install libpython and rebuild per>
For example:
# apt-get install python-dev (ubuntu)
# yum install python-devel (Fedora)
etc.
'''
even though I have already install python-dev latest version.
could anyone please help me why I am getting this error?
 


wizardfromoz

Administrator
Staff member
Gold Supporter
Joined
Apr 30, 2017
Messages
6,627
Reaction score
5,392
Credits
19,641
Moving this to Command Line, where scripting inquiries are also handled.

Good luck

Chris Turner
wizardfromoz
 
Joined
Mar 14, 2021
Messages
44
Reaction score
28
Credits
425
I am following this tutorial.
while running the following '''perf script --gen-script python''' command I am getting an error.
'''
Python scripting not supported. Install libpython and rebuild per>
For example:
# apt-get install python-dev (ubuntu)
# yum install python-devel (Fedora)
etc.
'''
even though I have already install python-dev latest version.
could anyone please help me why I am getting this error?

Try installing the necessary libpython packages. I’m unsure if they are packaged with dev-python, but the error wants libpython.
 
$100 Digital Ocean Credit
Get a free VM to test out Linux!

Staff online

Members online


Latest posts

Top